/*****************************************************************************
 * Copyright 2011 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 *****************************************************************************/
package org.zdevra.guice.mvc.parameters;

import org.zdevra.guice.mvc.InvokeData;

/**
 * You will implement this interface for your custom parameter processing.The processor
 * is builded via {@link ParamProcessorFactory} implementation. This factory implementation is then
 * registered in {@link ParamProcessorService}
 * 
 * @see ParamProcessorFactory
 * @see ParamProcessorService
 */
public interface ParamProcessor {
	public Object getValue(InvokeData data);
}
